require 'table_print'

module Slipsquare
  module Middleware
    class ListFiles < Base
      def call(env)
        say "Listing files from Dropbox..."

        if env["list_files_path"].nil?
          tp env['dropbox-client'].ls, 'path', 'mime_type', 'size'
        else
          tp env['dropbox-client'].ls(env["list_files_path"]), 'path', 'mime_type', 'size'
        end

        @app.call(env)
      end
    end
  end
end