module Slipsquare
  module Middleware
    class UploadFile < Base
      def call(env)
        say "Uploading file..."

        contents = File.read(env['upload_file_name'])

        env['dropbox-client'].upload env['upload_file_name'], contents

        say "File '#{env['upload_file_name']}' uploaded successfully"

        @app.call(env)
      end
    end
  end
end